Cant run bench update either :( - develop as well

cameron@xpscj:~/development/frappe-bench$ bench update
INFO:bench.utils:updating bench
INFO:bench.utils:git pull
Already up-to-date.
INFO:bench.utils:./env/bin/pip install Pillow
Requirement already satisfied: Pillow in ./env/lib/python3.6/site-packages (5.4.1)
INFO:bench.app:pulling frappe
INFO:bench.utils:git pull upstream develop
From https://github.com/frappe/frappe

  • branch develop -> FETCH_HEAD
    Already up-to-date.
    INFO:bench.utils:find . -name “*.pyc” -delete
    INFO:bench.app:pulling erpnext
    INFO:bench.utils:git pull upstream develop
    From https://github.com/frappe/erpnext
  • branch develop -> FETCH_HEAD
    Already up-to-date.
    INFO:bench.utils:find . -name “*.pyc” -delete
    INFO:bench.app:pulling bench_manager
    INFO:bench.utils:git pull upstream develop
    From https://github.com/frappe/bench_manager
  • branch develop -> FETCH_HEAD
    Already up-to-date.
    INFO:bench.utils:find . -name “*.pyc” -delete
    Updating Python libraries…
    INFO:bench.utils:./env/bin/pip install --upgrade pip
    Requirement already up-to-date: pip in ./env/lib/python3.6/site-packages (19.0.3)
    INFO:bench.utils:./env/bin/pip install -q -r /home/cameron/development/bench-repo/requirements.txt
    INFO:bench.app:installing frappe
    INFO:bench.utils:./env/bin/pip install -q -e ./apps/frappe
    INFO:bench.app:installing erpnext
    INFO:bench.utils:./env/bin/pip install -q -e ./apps/erpnext
    INFO:bench.app:installing aviation
    INFO:bench.utils:./env/bin/pip install -q -e ./apps/aviation
    INFO:bench.app:installing bench_manager
    INFO:bench.utils:./env/bin/pip install -q -e ./apps/bench_manager
    Updating node packages…
    INFO:bench.utils:yarn install
    yarn install v1.13.0
    warning package-lock.json found. Your project contains lock files generated by tools other than Yarn. It is advised not to mix package managers in order to avoid resolution inconsistencies caused by unsynchronized lock files. To clear this warning, remove package-lock.json.
    [1/4] Resolving packages…
    success Already up-to-date.
    Done in 0.20s.
    INFO:bench.utils:yarn install
    yarn install v1.13.0
    [1/4] Resolving packages…
    success Already up-to-date.
    Done in 0.46s.
    Backing up sites…
    Patching sites…
    Migrating aviation
    Updating DocTypes for frappe : [========================================]
    Traceback (most recent call last):
    File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 484, in connect
    sock = self._connect()
    File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 541, in _connect
    raise err
    File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 529, in _connect
    sock.connect(socket_address)
    ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/client.py”, line 667, in execute_command
connection.send_command(*args)
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 585, in send_packed_command
self.connect()
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:13000. Connection refused.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 484, in connect
sock = self._connect()
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 541, in _connect
raise err
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/cameron/.pyenv/versions/3.6.1/lib/python3.6/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/home/cameron/.pyenv/versions/3.6.1/lib/python3.6/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/cameron/development/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in
main()
File “/home/cameron/development/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/cameron/development/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/cameron/development/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/cameron/development/frappe-bench/apps/frappe/frappe/commands/site.py”, line 228, in migrate
migrate(context.verbose, rebuild_website=rebuild_website)

sigh resolved, had to run bench start in another terminal